com.sun.jna.platform.win32

## Class W32FileUtils

- java.lang.Object
- - com.sun.jna.platform.FileUtils
  - - com.sun.jna.platform.win32.W32FileUtils

-     public class W32FileUtils
      extends FileUtils

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `W32FileUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasTrash()`
    `void` | `moveToTrash(java.io.File[] files)` Move the given file to the system trash, if one is available.

    - ### Methods inherited from class com.sun.jna.platform.FileUtils

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### W32FileUtils

          public W32FileUtils()

  - ### Method Detail

    - #### hasTrash

          public boolean hasTrash()

      Overrides:
        `hasTrash` in class `FileUtils`

    - #### moveToTrash

          public void moveToTrash(java.io.File[] files)
                           throws java.io.IOException

      Description copied from class: `FileUtils`
      Move the given file to the system trash, if one is available.
      Specified by:
        `moveToTrash` in class `FileUtils`
      Parameters:
        `files` - files to move
      Throws:
        `java.io.IOException` - on failure.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.